Skip to main content
GET
Retrieve all Bank Transactions

Path Parameters

consumer_id
string<uuid>
required

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
size
integer
default:50

Page size

Required range: 1 <= x <= 100
date_from
string<date> | null

The start date (inclusive) for filtering bank transactions. If provided, only transactions on or after this date will be returned.

date_to
string<date> | null

The end date (inclusive) for filtering bank transactions. If provided, only transactions on or before this date will be returned.

bank_account_id
string
required

The unique identifier of the bank account to filter transactions for. If omitted, transactions from all accessible accounts will be included.

status
enum<string> | null

Filter transactions by their status.

Available options:
draft,
done

Response

Successful Response

items
InvoicingBankTransactionItem · object[]
required
total
integer
required
Required range: x >= 0
page
integer
required
Required range: x >= 1
size
integer
required
Required range: x >= 1